Bug 170960 - Include dovecot-lda with sieve support
Include dovecot-lda with sieve support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Tomas Janousek
http://wiki.dovecot.org/LDA
: FutureFeature
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2005-10-16 07:31 EDT by shrek-m
Modified: 2014-01-21 17:52 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-20 05:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
compressed tar archive with .spec and patches (7.70 KB, application/x-gzip)
2005-12-06 18:24 EST, Willem Riede
no flags Details
respun attachment for alpha5 (7.85 KB, application/x-gzip)
2005-12-11 09:03 EST, Willem Riede
no flags Details

  None (edit)
Description shrek-m 2005-10-16 07:31:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.7.12-1.3.1

Description of problem:
it would be nice if you would provide dovecot 1.0(alpha) lda with sieve-support in the development tree for fedora core 5.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
 
  

Additional info:
Comment 1 John Dennis 2005-10-17 15:20:07 EDT
I agree, it's time to start shipping dovecot 1.0 even though its not officially
released yet. The 0.99 version is probably less stable and definitely less
feature full than 1.0 alpha.

I'm being transitioned to other responsibilities and package ownership of
dovecot is transferring at the same time. The new (yet to be determined) package
maintainer for dovecot will need to pick up the ball on this issue. This comment
serves mostly as an endoresement from me that transitioning from 0.99 to 1.0
alpha is a good idea.

Howver, that being said, this bug report requests sieve support, but to the best
of my knowledge that support does not yet exist in 1.0, at least not according
to http://wiki.dovecot.org/moin.cgi/CoreFeatures, nor does a quick perusal of
the current CVS development tree reveal any sieve support. So I'm going to set
the status of this bugzilla to NeedInfo and request a bit more clarification on
the sieve support you're looking for.
Comment 2 shrek-m 2005-10-17 16:13:01 EDT
http://wiki.dovecot.org/moin.cgi/LDA
[...]
Main features of Dovecot LDA
- Mailbox indexing during mail delivery, quicker mailbox access
- Quota enforcing by plugin
- Sieve language support
    Mail filtering
    Mail forwarding
    Vacation auto-reply

State of Dovecot LDA
Dovecot LDA has been around since Dovecot 1.0-test65 (march 2005), it has had
some minor problems but as I write this on august 2005 it has been working well
several months for me. Dovecot LDA itself is a very simple piece of software,
mailbox and index code is directly from Dovecot so if Dovecot works well for you
so should LDA's basic functionality work also.

Prerequisites
To start with you'll need at least
- Dovecot 1.0, test80 or above recommended
- Dovecot LDA from CVS
- MTA, for example Postfix 2.0 or above
- cvs
[...]
Comment 3 Timo Sirainen 2005-10-17 16:21:39 EDT
It's in separate dovecot-cvs module in CVS. I'll probably start generating tarballs out of it at some point. 
There are a few things I'd still like to do to it:

 - Make it share all except the Sieve code with the deliver program distributed with Dovecot. I'd rather 
not include the Sieve code in main Dovecot tarball, but a simpler delivery agent is still useful with it. 
Anyway, these two delivery agents both have the same binary name and location, so something should 
probably be done about this. The main dovecot package should contain the basic delivery agent and 
dovecot-lda be in its separate package (unless you want to create separate conflicting packages for 
them..).

- A separate dovecot-deliver.conf file is annoying and it's too easy to forget it has to exist and has to 
have same settings as the main dovecot.conf file. So I'll probably have to do some kludging to make it 
read the main dovecot.conf file.. The proper solution for this will come around Dovecot v2.0 with its 
new configuration code, but that's a long time away.
Comment 4 John Dennis 2005-10-17 16:53:52 EDT
Thank you both for pointing me at this, I was not even aware this code existed
(it's a little bit hidden, but it is there if you know where to look for it :-).

Ironically just a few weeks ago in an internal dialog I pointed out dovecot
lacked server side filtering which was a disadvantage in the context of the
discussion. In hindsight that assertion was wrong, but it's not obvious from the
wiki nor via CVS ("cvs co -c" returns an empty module list). Nor is it on the
CoreFeatures page. May I suggest when important new functionality is added it
behooves the project to make the availability of the feature more obvious. I
would not have followed the LDA wiki link looking for seive support although in
hindsight I suppose there is a certain logic to sieve being located under LDA.
Having it be on a "Features" page would probably help assure this important
functionality is not overlooked or assumed to be absent.

I do think our dovecot package should include this code and believe it should be
provided as a subpackage of the main dovecot package.
Comment 5 Willem Riede 2005-12-06 18:24:11 EST
Created attachment 121950 [details]
compressed tar archive with .spec and patches

If someone with proper access would care to start by putting the basic
dovecot-1.0-alpha4 in rawhide, that would be a good start. To facilitate that,
I've attached the .spec file and patches I've used to build dovecot-1.0-alpha4
on fc5t1, which I've got running to my satisfaction.
Comment 6 Chris Chabot 2005-12-07 05:05:30 EST
With the provided spec file and patches i was able to successfully run dovecot
1.0alpha4 (very nice to be able to :-))

However i ran into a problem with dotfile locking when opening the inbox's
(/var/mail/%u style mbox files), dovecot tries to create lock files there but
has no permission to do so, hence opening the INBOX folder failed.

To fix this i changed dovecot.conf to have:
   # Grant access to these extra groups for mail processes. Typical use would be
                           
   # to give "mail" group write access to /var/mail to be able to create dotlocks. 
   mail_extra_groups = mail

This way it has permission to write lockfiles in the /var/mail (ie
/var/spool/mail) directory, and everything works as expected again.

Is it an idea to include this in the config file provided in your spec/patches
tarbal (& in the final dovecot package)?
Comment 7 Willem Riede 2005-12-11 09:03:43 EST
Created attachment 122108 [details]
respun attachment for alpha5

enabled "mail_extra_groups = mail" in .conf as suggested.
Comment 8 Bojan Smojver 2006-01-17 14:09:22 EST
Devel list thread:

http://www.redhat.com/archives/fedora-devel-list/2006-January/msg00607.html
Comment 9 Petr Rockai 2006-01-18 03:24:05 EST
I am picking up on this. I need to check out the new code, how it relates and  
how risky it would be to drop in this late in cycle. If the new (LDA) thing is  
a drop-in replacement for dovecot, it should be fine. The wiki page in URL of 
this bug does not seem to exist :|. 
Comment 10 Seth Vidal 2006-01-18 03:28:45 EST
right url: http://wiki.dovecot.org/LDA

Comment 12 Bojan Smojver 2006-01-18 05:05:21 EST
Can we at least have Dovecot 1.0 code for POP/IMAP, even if LDA isn't ready? Or
is LDA absolutely required for Dovecot 1.0 to run?
Comment 13 Reuben Farrelly 2006-01-18 05:07:45 EST
LDA is not required for dovecot to run.  It's very nice to have, but I agree
with you that priority 1 has to be the core dovecot package of imap/pop3.
Comment 14 Chris Chabot 2006-01-18 05:41:18 EST
I've done a rpm -i dovecot-0.99.14-10.fc5.1.src.rpm, tar xfz the here attached
file, updated from alpha5 to beta1 and rpmbuild the whole thing on my production
mail server.

Results have been nothing but completely positive. Stable (more then before),
and more responsive too

It gets my 2 thumbs up :-)
Comment 15 Willem Riede 2006-01-18 19:21:37 EST
Regarding Peter Rockai's concern: my recommendation is to only upgrade to beta1
for dovecot itself at this time, leaving LDA for FC6. Alpha5 has been very
stable for me using the attachment I posted, and as soon as beta1 came out, I
rpmbuild it with no other change than the file name and the release number in
.spec and it has hummed along happily for me since. As Chris writes,
1.0alpha/beta is a significant improvement on 0.99.14, and not a risk to FC5 at all.
Comment 16 Mark McLoughlin 2006-01-31 05:36:53 EST
1.0.beta2 is in rawhide now, which doesn't include even the simple LDA:

---
2006-01-02 13:45  Timo Sirainen <tss@iki.fi>

        * src/: Makefile.am, deliver/deliver.c: Deliver binary is out of
          date, dovecot-lda should be used for now.
---

Up to Peter whether to include dovecot-lda in FC5 (if not, the bug should be
removed from FC5Target)


Comment 17 Reuben Farrelly 2006-01-31 05:45:35 EST
Package seems to work well.

Only minor nitpick is that the URL for the package in the specfile should be
changed from http://dovecot.procontrol.fi/ to http://www.dovecot.org/

The LDA would be good but what we have now is certainly a great start.  Many
thanks to prockai for his efforts.
Comment 18 Petr Rockai 2006-02-09 03:36:00 EST
With the situation at the hand, dovecot-lda will go to FC6, not sooner. It is  
way too late to get LDA in FC5. We will have dovecot 1.0beta2 and will hope it  
won't break too badly. Moving to FC6Target. 
Comment 19 Rahul Sundaram 2006-09-25 11:30:50 EDT
Whats the status on this one?
Comment 20 Tomas Janousek 2007-03-19 11:58:02 EDT
I finally got to this one.

A dovecot-sieve-1.0.1-1.fc7 should be available in rawhide. Please test it.
Comment 21 Tomas Janousek 2007-04-20 05:21:10 EDT
No complaints so far, closing as done.

Note You need to log in before you can comment on or make changes to this bug.